From c9e252b51a037b7d2ad7cbd05d3da85230a3c7f5 Mon Sep 17 00:00:00 2001
From: Karl Nilsson <karl.robert.nilsson@gmail.com>
Date: Fri, 14 Jun 2019 02:09:38 -0400
Subject: [PATCH 1/6] python3-zeroconf: update to 0.23.0.

---
 srcpkgs/python3-zeroconf/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/python3-zeroconf/template b/srcpkgs/python3-zeroconf/template
index 62cc8183119..e72829e1b6e 100644
--- a/srcpkgs/python3-zeroconf/template
+++ b/srcpkgs/python3-zeroconf/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-zeroconf'
 pkgname=python3-zeroconf
-version=0.21.3
+version=0.23.0
 revision=1
 archs=noarch
 wrksrc="zeroconf-${version}"
@@ -13,4 +13,4 @@ maintainer="Karl Nilsson <karl.robert.nilsson@gmail.com>"
 license="LGPL-2.1-or-later"
 homepage="https://github.com/jstasiak/python-zeroconf"
 distfiles="${PYPI_SITE}/z/zeroconf/zeroconf-${version}.tar.gz"
-checksum=5b52dfdf4e665d98a17bf9aa50dea7a8c98e25f972d9c1d7660e2b978a1f5713
+checksum=e0c333b967c48f8b2e5cc94a1d4d28893023fb06dfd797ee384a94cdd1d0eef5

From 1b94373be87849a44e9f441fd5c866cccdf4c0ec Mon Sep 17 00:00:00 2001
From: Karl Nilsson <karl.robert.nilsson@gmail.com>
Date: Fri, 14 Jun 2019 01:51:52 -0400
Subject: [PATCH 2/6] cura-fdm-materials: update to 4.1.0.

---
 srcpkgs/cura-fdm-materials/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/cura-fdm-materials/template b/srcpkgs/cura-fdm-materials/template
index 045a684d23a..7f3edb8f59d 100644
--- a/srcpkgs/cura-fdm-materials/template
+++ b/srcpkgs/cura-fdm-materials/template
@@ -1,6 +1,6 @@
 # Template file for 'cura-fdm-materials'
 pkgname=cura-fdm-materials
-version=4.0.0
+version=4.1.0
 revision=1
 archs=noarch
 wrksrc="fdm_materials-${version}"
@@ -10,7 +10,7 @@ maintainer="Karl Nilsson <karl.robert.nilsson@gmail.com>"
 license="CC0-1.0"
 homepage="https://github.com/Ultimaker/fdm_materials"
 distfiles="https://github.com/Ultimaker/fdm_materials/archive/${version}.tar.gz"
-checksum=ab2c6fcbabd699c65380d7746e58d85e8d5d46271b88b13ba325d6b9f1b66f08
+checksum=4a71742d33f004e6c1b63a25b3c296c2c7872a189775b1dcbaeea9853ec59166
 
 post_install() {
 	vlicense LICENSE

From 6deaab09ac663aabc8634be96b38a21f8bdb66ce Mon Sep 17 00:00:00 2001
From: Karl Nilsson <karl.robert.nilsson@gmail.com>
Date: Fri, 14 Jun 2019 01:52:12 -0400
Subject: [PATCH 3/6] libArcus: update to 4.1.0.

---
 srcpkgs/libArcus/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/libArcus/template b/srcpkgs/libArcus/template
index 8bd39d1675c..91f3a26cd15 100644
--- a/srcpkgs/libArcus/template
+++ b/srcpkgs/libArcus/template
@@ -1,6 +1,6 @@
 # Template file for 'libArcus'
 pkgname=libArcus
-version=4.0.0
+version=4.1.0
 revision=1
 build_style=cmake
 configure_args="-DBUILD_EXAMPLES=OFF"
@@ -12,7 +12,7 @@ maintainer="Karl Nilsson <karl.robert.nilsson@gmail.com>"
 license="LGPL-3.0-or-later"
 homepage="https://github.com/Ultimaker/libArcus"
 distfiles="https://github.com/Ultimaker/libArcus/archive/${version}.tar.gz"
-checksum=fc7709fe8e9738d219baa65606a092dc67d5c9fc3002d48f074a7c55db87a8e4
+checksum=6be791cea7e12b7b9e4c6be771aac28d43b8530258dc1480cf8c30bed0c0f550
 
 libArcus-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision}"

From 85491d8b79cb7b0833d71db5f7bde86592da11e8 Mon Sep 17 00:00:00 2001
From: Karl Nilsson <karl.robert.nilsson@gmail.com>
Date: Fri, 14 Jun 2019 01:53:17 -0400
Subject: [PATCH 4/6] cura-engine: update to 4.1.0.

---
 srcpkgs/cura-engine/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/cura-engine/template b/srcpkgs/cura-engine/template
index a3d26dc9498..b72a8f16e1c 100644
--- a/srcpkgs/cura-engine/template
+++ b/srcpkgs/cura-engine/template
@@ -1,6 +1,6 @@
 # Template file for 'cura-engine'
 pkgname=cura-engine
-version=4.0.0
+version=4.1.0
 revision=1
 wrksrc="CuraEngine-${version}"
 build_style=cmake
@@ -12,7 +12,7 @@ maintainer="Karl Nilsson <karl.robert.nilsson@gmail.com>"
 license="AGPL-3.0-or-later"
 homepage="https://github.com/Ultimaker/CuraEngine"
 distfiles="https://github.com/Ultimaker/CuraEngine/archive/${version}.tar.gz"
-checksum=08c8cc6ca6ba44ce35cf66b06e399408dd5fc809a208afc1892f0f700728326e
+checksum=8599bd123462692600d6ccf3b0baab5d87fe87aebb9736f1398768c7fdf6b340
 
 post_install() {
 	vlicense LICENSE

From 4587b0795c7a376c6843612357262a3a43aa3ecb Mon Sep 17 00:00:00 2001
From: Karl Nilsson <karl.robert.nilsson@gmail.com>
Date: Fri, 14 Jun 2019 01:53:37 -0400
Subject: [PATCH 5/6] Uranium: update to 4.1.0.

---
 .../0002-Fix-install-prefix-symlink.patch     | 30 -------------------
 srcpkgs/Uranium/template                      |  4 +--
 2 files changed, 2 insertions(+), 32 deletions(-)
 delete mode 100644 srcpkgs/Uranium/patches/0002-Fix-install-prefix-symlink.patch

diff --git a/srcpkgs/Uranium/patches/0002-Fix-install-prefix-symlink.patch b/srcpkgs/Uranium/patches/0002-Fix-install-prefix-symlink.patch
deleted file mode 100644
index 101d8ef90be..00000000000
--- a/srcpkgs/Uranium/patches/0002-Fix-install-prefix-symlink.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-From 237dc959ca536ae4a45d1ba59d4ad6cf86a36946 Mon Sep 17 00:00:00 2001
-From: Ghostkeeper <rubend@tutanota.com>
-Date: Mon, 25 Feb 2019 11:58:02 +0100
-Subject: [PATCH] Fix install prefix when installing in symlinked directory
-
-If /bin is a symlink to /usr/bin and /bin appears before /usr/bin on the user's PATH, it would get sys.argv[0]='/bin/python3'. This then messes up the install location ('/') which consequently messes up the data and config storage directories.
-This solution is provided by CapnKernel and should resolve the symlink so that sys.argv[0]='/usr/bin/python3' again and the storage data and config storage directories become something like /usr/share/... again.
----
- UM/Application.py | 5 +++--
- 1 file changed, 3 insertions(+), 2 deletions(-)
-
-diff --git UM/Application.py UM/Application.py
-index 05adb8f3..f709438a 100644
---- UM/Application.py
-+++ UM/Application.py
-@@ -398,9 +398,10 @@ class Application:
-     @staticmethod
-     def getInstallPrefix() -> str:
-         if "python" in os.path.basename(sys.executable):
--            return os.path.abspath(os.path.join(os.path.dirname(sys.argv[0]), ".."))
-+            executable = sys.argv[0]
-         else:
--            return os.path.abspath(os.path.join(os.path.dirname(sys.executable), ".."))
-+            executable = sys.executable
-+        return os.path.abspath(os.path.join(os.path.dirname(os.path.realpath(executable)), ".."))
- 
-     __instance = None   # type: Application
- 
--- 
-2.21.0
diff --git a/srcpkgs/Uranium/template b/srcpkgs/Uranium/template
index 6f31c47ce79..8412416c0ef 100644
--- a/srcpkgs/Uranium/template
+++ b/srcpkgs/Uranium/template
@@ -1,6 +1,6 @@
 # Template file for 'Uranium'
 pkgname=Uranium
-version=4.0.0
+version=4.1.0
 revision=1
 archs=noarch
 build_style=cmake
@@ -15,4 +15,4 @@ maintainer="Karl Nilsson <karl.robert.nilsson@gmail.com>"
 license="LGPL-3.0-or-later"
 homepage="https://github.com/Ultimaker/Uranium"
 distfiles="https://github.com/Ultimaker/Uranium/archive/${version}.tar.gz"
-checksum=d405183b98b2e8db8c8c11ebe6f8838865cb4ac7f6a55ab0ac654b060edf9dd8
+checksum=72245dba1fb74236144ffbe59497ef495b87bb3bb2b1d7ffcadebe138824eed4

From 39fd4cd10591c5963797070c3587b52b0365e75b Mon Sep 17 00:00:00 2001
From: Karl Nilsson <karl.robert.nilsson@gmail.com>
Date: Fri, 14 Jun 2019 01:53:41 -0400
Subject: [PATCH 6/6] cura: update to 4.1.0.

---
 srcpkgs/cura/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/cura/template b/srcpkgs/cura/template
index 9575ad0ee8b..52967a5cc3c 100644
--- a/srcpkgs/cura/template
+++ b/srcpkgs/cura/template
@@ -1,14 +1,14 @@
 # Template file for 'cura'
 pkgname=cura
-version=4.0.0
+version=4.1.0
 revision=1
 archs=noarch
 wrksrc="Cura-${version}"
 build_style=cmake
-configure_args="-DCURA_VERSION=${version} -DCURA_SDK_VERSION=6.0.0 -DCURA_CLOUD_API_VERSION=1"
+configure_args="-DCURA_VERSION=${version} -DCURA_SDK_VERSION=6.0.0"
 pycompile_module="cura"
 pycompile_dirs="usr/lib/cura/plugins"
-makedepends="Uranium libArcus-devel"
+makedepends="python3-devel Uranium libArcus-devel"
 depends="Uranium cura-engine cura-fdm-materials python3-pyserial python3-zeroconf
  libSavitar-python3 python3-requests qt5-graphicaleffects"
 short_desc="3D printer / slicing GUI"
@@ -16,4 +16,4 @@ maintainer="Karl Nilsson <karl.robert.nilsson@gmail.com>"
 license="LGPL-3.0-or-later"
 homepage="https://github.com/Ultimaker/Cura"
 distfiles="https://github.com/Ultimaker/Cura/archive/${version}.tar.gz"
-checksum=546742eaade2d097fb7bef2d89189c17d5fb75291715f58d394076c234d6f4d3
+checksum=29bce1086f9e9e2b773c2d43986cfc00dd3b3c70fbfdb5d84bdf1e31da6812fc
